Bug 2946 - Lost items (that are hidden in Normal View) still show up in the MARC View in OPAC
Summary: Lost items (that are hidden in Normal View) still show up in the MARC View in...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC All
: P3 major (vote)
Assignee: wajasu
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-05 05:28 UTC by Chris Cormack
Modified: 2021-12-13 21:09 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 2946 - Lost items (hidden in Normal View) still show up in the MARC View in OPAC (2.29 KB, patch)
2014-03-08 04:15 UTC, wajasu
Details | Diff | Splinter Review
Bug 2946 - Lost items (hidden in Normal View) still show up in the MARC View in OPAC (2.37 KB, patch)
2017-08-19 03:38 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 2946: Added some missing logic (1.05 KB, patch)
2017-08-19 03:38 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 2946: Added some missing logic (1.05 KB, patch)
2017-08-19 03:41 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 2946: Added some missing logic (1.52 KB, patch)
2017-08-19 03:44 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 2946 - Lost items (hidden in Normal View) still show up in the MARC View in OPAC (2.37 KB, patch)
2017-08-19 03:46 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 2946: Added some missing logic (1.05 KB, patch)
2017-08-19 03:46 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 2946: Added some missing logic (1.46 KB, patch)
2017-08-21 18:51 UTC, Mark Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:04:37 UTC


---- Reported by debra.denault@liblime.com 2009-02-05 05:28:19 ----

If a library turns on the sys pref to hide lost items in OPAC, the items are hidden or removed from display on the "Holdings" tab of the Normal view in OPAC but they appear in list of items at the bottom of the "MARC" view still in OPAC which defeats the purpose of hiding them. 

OPAC should be altered to auto hide items with a lost status from this display as well.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:04 UTC  ---

This bug was previously known as _bug_ 2946 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2946

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was debra.denault@liblime.com.

Comment 1 wajasu 2014-03-08 04:15:18 UTC
Created attachment 25963 [details] [review]
Bug 2946 - Lost items (hidden in Normal View) still show up in the MARC View in OPAC

Coded this old bug against master.

Test Plan:
0) set hidelostitems syspref to "Dont show"
1) find/build a biblio with items.
2) from detail page select MARC view and scroll to bottom to see Holdings.
3) go edit the item as lost.
4) from detail page select MARC view and scroll to bottom to see Holdings.
   (lost item should be gone. And if no other items, no holdings table shown.
5) toggle hidelost items syspref and view again to see lost items appear/disappear
6) you can click plain text view to see that as well

Hope you don't mind my changing bug to version: master, since its been so long,
and its still an issue in pre 3.14 days.
Comment 2 cedric.vita 2014-03-10 14:33:18 UTC
The patch applies. Test plan, the points 1 to 5 are OK but 6 still does not work. (messag: Sorry, plain view is temporarily unavailable.)
(Test sandbox)
Comment 3 Owen Leonard 2014-03-10 17:00:36 UTC
In my test I get no listing of holdings at all on opac-MARCdetail.pl after applying the patch even though there are some items which should not be hidden. 

Also, is there a reason to leave in this commented-out line?

#warn "subf:$i $sf_def->{kohafield} $sf_def->{lib} $subf[$i][0]"; # see errlog to learn the mappings
Comment 4 Mark Tompsett 2015-10-19 14:24:27 UTC
Though bug 10589 and 10895 are in need of a serious re-write, I wonder if they would solve this.
Comment 5 Marc Véron 2015-12-24 14:06:10 UTC
Still valid?
Comment 6 Mark Tompsett 2017-08-19 00:00:13 UTC
(In reply to Marc Véron from comment #5)
> Still valid?

While working on Bug 14385, I think I saw code that was not copied between various opac/opac-###detail.pl files. I think this may still be valid.
Comment 7 Mark Tompsett 2017-08-19 03:38:00 UTC
Created attachment 66211 [details] [review]
Bug 2946 - Lost items (hidden in Normal View) still show up in the MARC View in OPAC

Hides the Holdings that are "Lost" and the entire Holdings table if all items
are lost, when the hidelostitems syspref is "Don't Show".
Should work in plain text view as well.
For the OPAC MARC view of a biblio details.
Comment 8 Mark Tompsett 2017-08-19 03:38:03 UTC
Created attachment 66212 [details] [review]
Bug 2946: Added some missing logic
Comment 9 Mark Tompsett 2017-08-19 03:41:08 UTC
Created attachment 66213 [details] [review]
Bug 2946: Added some missing logic
Comment 10 Mark Tompsett 2017-08-19 03:44:27 UTC
Created attachment 66214 [details] [review]
Bug 2946: Added some missing logic
Comment 11 Mark Tompsett 2017-08-19 03:46:42 UTC
Created attachment 66215 [details] [review]
Bug 2946 - Lost items (hidden in Normal View) still show up in the MARC View in OPAC

Hides the Holdings that are "Lost" and the entire Holdings table if all items
are lost, when the hidelostitems syspref is "Don't Show".
Should work in plain text view as well.
For the OPAC MARC view of a biblio details.
Comment 12 Mark Tompsett 2017-08-19 03:46:45 UTC
Created attachment 66216 [details] [review]
Bug 2946: Added some missing logic
Comment 13 Mark Tompsett 2017-08-21 18:51:03 UTC
Created attachment 66284 [details] [review]
Bug 2946: Added some missing logic

The norequests logic affects the opac-details-sidebar.inc logic
which is shared in ISBD and MARC views. It is correct in ISBD
and this brings it into MARC detailed view.
Comment 14 Martin Renvoize 2021-03-30 14:59:30 UTC
Pretty sure with is fixed now.. bug 10876 perhaps..

Either way, I can't replicate the bug so I think we're safe to close :)